## mtail 3.0.0~rc52

=== Makefile ===
# Copyright 2011 Google Inc. All Rights Reserved.
# This file is available under the Apache license.

export GO111MODULE ?= on
# Build these.
TARGETS = mtail mgen mdot mfmt

GO_TEST_FLAGS ?=
BENCH_COUNT ?= 1
BASE_REF ?= main
HEAD_REF ?= $(shell git symbolic-ref HEAD -q --short)
BASE_REF := $(subst /,-,$(BASE_REF))
HEAD_REF := $(subst /,-,$(HEAD_REF))

all: $(TARGETS)

# Install them here
PREFIX ?= usr/local

# Place to store dependencies.
DEPDIR = .d
# Can't use a dependency rule here.
$(shell install -d $(DEPDIR))

# This rule finds all non-standard-library dependencies of each target and emits them to a makefile include.
# Thanks mrtazz: https://unwiredcouch.com/2016/05/31/go-make.html
MAKEDEPEND = echo "$@: $$(go list -f '{{if not .Standard}}{{.Dir}}{{end}}' $$(go list -f '{{ join .Deps "\n" }}' $<) | sed -e 's@$$@/*.go@' | tr "\n" " " )" > $(DEPDIR)/$@.d

# This rule allows the dependencies to not exist yet, for the first run.
$(DEPDIR)/%.d: ;
.PRECIOUS: $(DEPDIR)/%.d

# This instruction loads any dependency includes for our targets.
-include $(patsubst %,$(DEPDIR)/%.d,$(TARGETS))

# Set the timeout for tests.
test_timeout := 20s
testrace_timeout := 4m
ifeq ($(CI),true)
test_timeout := 100s
testrace_timeout := 20m
endif
# Let the benchmarks run for a long time.  The timeout is for the total time of
# all benchmarks, not per bench.
benchtimeout := 120m

GOFILES=$(shell find . -name '*.go' -a ! -name '*_test.go')

GOTESTFILES=$(shell find . -name '*_test.go')

GOGENFILES=internal/runtime/compiler/parser/parser.go\
	internal/mtail/logo.ico.go


CLEANFILES+=\
	internal/runtime/compiler/parser/parser.go\
	internal/runtime/compiler/parser/y.output\
	internal/mtail/logo.ico.go\
	internal/mtail/logo.ico\

# A place to install tool dependencies.
GOBIN ?= $(firstword $(subst :, ,$(shell go env GOPATH)))/bin
export PATH := $(GOBIN):$(PATH)

TOGO = $(GOBIN)/togo
$(TOGO):
	go install github.com/flazz/togo@latest

GOYACC = $(GOBIN)/goyacc
$(GOYACC):
	go install golang.org/x/tools/cmd/goyacc@latest

GOFUZZBUILD = $(GOBIN)/go114-fuzz-build
$(GOFUZZBUILD):
	go install github.com/mdempsky/go114-fuzz-build@latest

GOFUZZ = $(GOBIN)/go-fuzz
$(GOFUZZ):
	go install github.com/dvyukov/go-fuzz/go-fuzz@latest

GOTESTSUM = $(GOBIN)/gotestsum
$(GOTESTSUM):
	go install gotest.tools/gotestsum@latest

BENCHSTAT = $(GOBIN)/benchstat
$(BENCHSTAT):
	go install golang.org/x/perf/cmd/benchstat@latest

GOSEC = $(GOBIN)/gosec
$(GOSEC):
	go install github.com/securego/gosec/v2/cmd/gosec@latest


.PHONY: clean covclean crossclean depclean veryclean
clean: covclean crossclean
	rm -f $(CLEANFILES)
covclean:
	rm -f *.coverprofile coverage.html $(COVERPROFILES)
crossclean:
	rm -rf build
depclean:
	rm -f .d/*  .*dep-stamp
veryclean: clean depclean

# This version should match the one in .github/workflows/golangci-lint.yml
GOLANGCILINT_VERSION=$(shell grep 'version: v' .github/workflows/golangci-lint.yml | cut -f2 -d: | tr -d ' ')
#GOLANGCILINT_VERSION=v1.52
# lint
.PHONY: lint
lint:  $(GOFILES) $(GOGENFILES) $(GOTESTFILES)
	mkdir -p $(HOME)/.cache/golangci-lint/$(GOLANGCILINT_VERSION)
	podman run --rm -v $(shell pwd):/app -v $(HOME)/.cache/golangci-lint/$(GOLANGCILINT_VERSION):/root/.cache -w /app docker.io/golangci/golangci-lint:$(GOLANGCILINT_VERSION) golangci-lint run -v

branch := $(shell git rev-parse --abbrev-ref HEAD)
version := $(shell git describe --tags --always --dirty)
revision := $(shell git rev-parse HEAD)
release := $(shell git describe --tags --always --dirty | cut -d"-" -f 1,2)

GO_LDFLAGS := -X main.Branch=${branch} -X main.Version=${version} -X main.Revision=${revision}

ifeq ($(STATIC),y)
# -s Omit symbol table and debug info
# -w Omit DWARF symbol table
# -extldflags -static and CGO_ENABLED=0 to make pure static
GO_LDFLAGS += -w -s -extldflags "-static"
export CGO_ENABLED=0
endif

# Show all errors, not just limit to 10.
GO_GCFLAGS = -e

# Very specific static pattern rule to only do this for commandline targets.
# Each commandline must be in a 'main.go' in their respective directory.  The
# MAKEDEPEND rule generates a list of dependencies for the next make run -- the
# first time the rule executes because the target doesn't exist, subsequent
# runs can read the dependencies and update iff they change.
$(TARGETS): %: cmd/%/main.go $(DEPDIR)/%.d | print-version .dep-stamp
	$(MAKEDEPEND)
	go build -gcflags "$(GO_GCFLAGS)" -ldflags "$(GO_LDFLAGS)" -o $@ $<

internal/runtime/compiler/parser/parser.go: internal/runtime/compiler/parser/parser.y | $(GOYACC)
	go generate -x ./$(@D)

internal/mtail/logo.ico: logo.png
	/usr/bin/convert $< -define icon:auto-resize=64,48,32,16 $@ || touch $@

internal/mtail/logo.ico.go: | internal/mtail/logo.ico $(TOGO)
	togo -pkg mtail -name logoFavicon -input internal/mtail/logo.ico


###
## Emit the current toolchain version at the start of every goal, if that goal depends on this.
#
.PHONY: print-version
print-version:
	which go
	go version
	go env

###
## Install rules
#
# Would subst all $(TARGETS) except other binaries are just for development.
INSTALLED_TARGETS = $(PREFIX)/bin/mtail

.PHONY: install
install: $(INSTALLED_TARGETS)

$(PREFIX)/bin/%: %
	install -d $(@D)
	install -m 755 $< $@

.PHONY: test check
check test: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | print-version $(LOGO_GO) .dep-stamp
	go test $(GO_TEST_FLAGS) -gcflags "$(GO_GCFLAGS)" -timeout ${test_timeout} ./...

.PHONY: testrace
testrace: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | print-version $(LOGO_GO) .dep-stamp
	go test $(GO_TEST_FLAGS) -gcflags "$(GO_GCFLAGS)" -timeout ${testrace_timeout} -race -v ./...

.PHONY: smoke
smoke: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | print-version $(LOGO_GO) .dep-stamp
	go test $(GO_TEST_FLAGS) -gcflags "$(GO_GCFLAGS)" -timeout 1s -test.short ./...

.PHONY: regtest
regtest: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | print-version $(LOGO_GO) .dep-stamp
	go test $(GO_TEST_FLAGS) -gcflags "$(GO_GCFLAGS)" -v -timeout=${testrace_timeout} ./...

TESTRESULTS ?= test-results
TESTCOVERPROFILE ?= out.coverprofile

.PHONY: junit-regtest
junit-regtest: $(TESTRESULTS)/test-output.xml $(TESTCOVERPROFILE)

$(TESTRESULTS)/test-output.xml $(TESTCOVERPROFILE): $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | print-version .dep-stamp $(GOTESTSUM)
	mkdir -p $(TESTRESULTS)
	gotestsum --debug --junitfile $(TESTRESULTS)/test-output.xml -- $(GO_TEST_FLAGS) -p=1 -cpu=1,2,4 -race -count=1 -parallel=1 -coverprofile=$(TESTCOVERPROFILE) --covermode=atomic -v -timeout=30m -gcflags "$(GO_GCFLAGS)" ./...

.PHONY: bench
bench: $(TESTRESULTS)/benchmark-results-$(HEAD_REF).txt
$(TESTRESULTS)/benchmark-results-$(HEAD_REF).txt: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | print-version .dep-stamp
	mkdir -p $(TESTRESULTS)
	go test -cpu 1,2,4 -bench=. -count=$(BENCH_COUNT) -timeout=${benchtimeout} -run=^a ./... | tee $@

.PHONY: benchstat
benchstat: $(TESTRESULTS)/benchstat.txt
$(TESTRESULTS)/benchstat.txt: $(TESTRESULTS)/benchmark-results-$(HEAD_REF).txt | print-version $(BENCHSTAT)
	(test -s $(TESTRESULTS)/benchmark-results-$(BASE_REF).txt && benchstat -sort=-delta $(TESTRESULTS)/benchmark-results-$(BASE_REF).txt $< || benchstat $<) | tee $@


PACKAGES := $(shell go list -f '{{.Dir}}' ./... | grep -v /vendor/ | grep -v /cmd/ | sed -e "s@$$(pwd)@.@")

.PHONY: testall
testall: testrace fuzz-regtest bench

.PHONY: checkall
checkall: check all fuzz-targets

## make u a container
.PHONY: container
container: Dockerfile
	docker build -t mtail \
		--build-arg version=${version} \
	    --build-arg commit_hash=${revision} \
	    --build-arg build_date=$(shell date -Iseconds --utc) \
	    .

## Run gosec
.PHONY: gosec
gosec: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | $(GOSEC)
	$(GOSEC) -tags fuzz ./...


###
## Fuzz testing
#

# These flags set compatibility with OSS-Fuzz
CXX = clang
CXXFLAGS ?= -fsanitize=fuzzer,address
LIB_FUZZING_ENGINE ?=
OUT ?= .

.PHONY: fuzz-targets
fuzz-targets: $(OUT)/vm-fuzzer

$(OUT)/vm-fuzzer: $(GOFILES) | $(GOFUZZBUILD)
	go114-fuzz-build -o fuzzer.a ./internal/runtime
	$(CXX) $(CXXFLAGS) $(LIB_FUZZING_ENGINE) fuzzer.a -lpthread -o $(OUT)/vm-fuzzer

$(OUT)/vm-fuzzer.dict: mgen
	./mgen --dictionary | sort > $@

$(OUT)/vm-fuzzer_seed_corpus.zip: $(wildcard examples/*.mtail) $(wildcard internal/runtime/fuzz/*.mtail)
	zip -j $@ $^

FUZZER_FLAGS=-rss_limit_mb=4096 -timeout=60s

.INTERMEDIATE: SEED/*
SEED: $(OUT)/vm-fuzzer_seed_corpus.zip
	mkdir -p SEED
	unzip -o -d SEED $<

.PHONY: fuzz
fuzz: SEED $(OUT)/vm-fuzzer $(OUT)/vm-fuzzer.dict
	mkdir -p CORPUS
	$(OUT)/vm-fuzzer $(FUZZER_FLAGS) -dict=$(OUT)/vm-fuzzer.dict CORPUS SEED

.PHONY: fuzz-regtest
fuzz-regtest: $(OUT)/vm-fuzzer SEED
	$(OUT)/vm-fuzzer $(FUZZER_FLAGS) $(shell ls SEED/*.mtail)

CRASH ?=

.PHONY: fuzz-repro
fuzz-repro: $(OUT)/vm-fuzzer mtail
	$(OUT)/vm-fuzzer $(FUZZER_FLAGS) $(CRASH) || true  # Want to continue
	./mtail --logtostderr --vmodule=runtime=2,lexer=2,parser=2,checker=2,types=2,codegen=2 --mtailDebug=3 --dump_ast --dump_ast_types --dump_bytecode --compile_only --progs $(CRASH)

# make fuzz-min CRASH=example crash
.PHONY: fuzz-min
fuzz-min: $(OUT)/vm-fuzzer $(OUT)/vm-fuzzer.dict
	$(OUT)/vm-fuzzer -dict=$(OUT)/vm-fuzzer.dict -minimize_crash=1 -runs=10000 $(CRASH)

###
## dependency section
#
.PHONY: install_deps
install_deps: .dep-stamp
.dep-stamp: | print-version $(GOGENFILES)
	go mod download
	touch $@


###
## Coverage
#
.PHONY: coverage covrep

coverage: coverprofile

coverprofile: $(GOFILES) $(GOGENFILES) $(GOTESTFILES) | print-version $(LOGO_GO) .dep-stamp
	go test -v -covermode=count -coverprofile=$@ -timeout=${timeout} $(PACKAGES)

coverage.html: coverprofile | print-version
	go tool cover -html=$< -o $@

covrep: coverage.html
	xdg-open $<

###
## Github issue tracking
#
GHI = $(GOBIN)/ghi
$(GHI):
	go install github.com/markbates/ghi@latest

issue-fetch: | $(GHI)
	ghi fetch

issue-list: | $(GHI)
	ghi list

ISSUE?=1
issue-show: | $(GHI)
	ghi show $(ISSUE)

=== debian/changelog ===
mtail (3.0.0~rc52-1) unstable; urgency=medium

  * New upstream release.
  * Automatic fixes from cme: remove outdated versioned
    dependencies, remove conflicts with packages no longer in debian, update
    Standards-Version (no changes), and other automated changes.
  * debian/control: Add versioned dependency on client-golang.
  * debian/patches: Refresh patches.
  * debian/lintian-overrides: Add overrides for known issues.

 -- Martina Ferrari <tina@debian.org>  Mon, 25 Sep 2023 20:23:42 +0000

=== debian/control ===
Source: mtail
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-golang-groupcache-dev,
               golang-github-google-go-cmp-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev (>= 1.11~),
               golang-glog-dev,
               golang-go | gccgo,
               golang-go.opencensus-dev,
               golang-golang-x-tools,
               tzdata,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
Homepage: https://github.com/google/mtail/
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/google/mtail

Package: mtail
Architecture: any
Depends: adduser,
         tzdata,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Extract monitoring data from logs for collection in a timeseries database
 Mtail is a tool for extracting metrics from application logs to be exported
 into a timeseries database or timeseries calculator for alerting and
 dashboarding.
 .
 It aims to fill a niche between applications that do not export their own
 internal state, and existing monitoring systems, without patching those
 applications or rewriting the same framework for custom extraction glue code.
 .
 Metrics are exported for scraping by a collector as JSON or Prometheus format
 over HTTP, or can be periodically sent to a collectd, StatsD, or Graphite
 collector socket.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

#export DH_VERBOSE=1
export DH_GOPKG := github.com/google/mtail
export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/cmd/mgen $(DH_GOPKG)/cmd/mdot
export DH_GOLANG_INSTALL_EXTRA := examples/ \
    internal/mtail/golden/ internal/mtail/testdata/ \
    internal/runtime/compiler/parser/parser.y
# Build parser.go
export DH_GOLANG_GO_GENERATE := 1

BUILDDIR := $(CURDIR)/build
BUILDFLAGS = -ldflags \
  " -X main.Version=$(DEB_VERSION_UPSTREAM)\
    -X main.Revision=$(DEB_VERSION)\
    -X main.Branch=$(DEB_VENDOR)/$(DEB_DISTRIBUTION)"

TEST_TIMEOUT := 100s
TESTRACE_TIMEOUT := 20m

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)

# Use longer internal timeouts.
override_dh_auto_test: export CI = true
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -timeout $(TEST_TIMEOUT)
	# Only run race tests on amd64.
	test "$(DEB_HOST_ARCH_CPU)" != amd64 || \
	    dh_auto_test -- -timeout $(TESTRACE_TIMEOUT) -race -tags=integration
endif

override_dh_installinit:
	dh_installinit --no-enable --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_auto_install:
	dh_auto_install -- --no-source

## mtail 3.0.0~rc54+git0ff5

=== debian/changelog ===
mtail (3.0.0~rc54+git0ff5-1) unstable; urgency=medium

  * New upstream snapshot; I had to include recent commits to fix API
    incompatibility with prometheus/common library. Closes: #1067352
  * Refresh 01-remove-jaeger.patch.

 -- Martina Ferrari <tina@debian.org>  Fri, 05 Apr 2024 04:02:35 +0000

## mtail 3.0.9

=== Makefile ===
--- 
+++ 
@@ -104,7 +104,7 @@
 
 # This version should match the one in .github/workflows/golangci-lint.yml
 GOLANGCILINT_VERSION=$(shell grep 'version: v' .github/workflows/golangci-lint.yml | cut -f2 -d: | tr -d ' ')
-#GOLANGCILINT_VERSION=v1.52
+
 # lint
 .PHONY: lint
 lint:  $(GOFILES) $(GOGENFILES) $(GOTESTFILES)

=== debian/changelog ===
mtail (3.0.9-1) unstable; urgency=medium

  * New upstream (non RC!) release.
  * Refresh 01-remove-jaeger.patch.
  * Set versioned dependency on golang-glog-dev.
  * Update Standards-Version to 4.7.0 (no changes).
  * Update copyright years.

 -- Martina Ferrari <tina@debian.org>  Mon, 19 Aug 2024 04:53:22 +0000

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                golang-github-google-go-cmp-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev (>= 1.11~),
-               golang-glog-dev,
+               golang-glog-dev (>= 1.2.0~),
                golang-go | gccgo,
                golang-go.opencensus-dev,
                golang-golang-x-tools,
                tzdata,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
 Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
 Homepage: https://github.com/google/mtail/

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mtail-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/google/mtail/tags .*/v?(\d\S*)\.tar\.gz

## mtail 3.2.1

=== debian/changelog ===
mtail (3.2.1-1~exp1) experimental; urgency=medium

  * New upstream release.

  [ Jamie Wilkinson ]
  * Update watch file for new upstream location.

  [ Martina Ferrari ]
  * Update upstream references to use new repository.
  * Bump Standards-Version with no changes.
  * Migrate to Static-Build-Using.
  * d/service: adopt some hardening options from upstream.
  * d/default: do not list daemon options.
    Including all daemon options in this file requires manual updates on each
    new version, which is error- prone. Run `mtail -help` instead.
  * d/init: do not start if $LOGS is not set.
  * d/rules: restart service after upgrades.
  * Refresh patches.
  * Revert commit 688cb6ef to avoid new dependency.
  * Update dependencies and included files for new version.

 -- Martina Ferrari <tina@debian.org>  Sun, 18 May 2025 20:20:39 +0000

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mtail-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/jaqx0r/mtail/tags .*/v?(\d\S*)\.tar\.gz

## mtail 3.2.24

=== Makefile ===
--- 
+++ 
@@ -48,23 +48,17 @@
 
 GOTESTFILES=$(shell find . -name '*_test.go')
 
-GOGENFILES=internal/runtime/compiler/parser/parser.go\
-	internal/mtail/logo.ico.go
+GOGENFILES=internal/runtime/compiler/parser/parser.go
 
 
 CLEANFILES+=\
 	internal/runtime/compiler/parser/parser.go\
 	internal/runtime/compiler/parser/y.output\
-	internal/mtail/logo.ico.go\
 	internal/mtail/logo.ico\
 
 # A place to install tool dependencies.
 GOBIN ?= $(firstword $(subst :, ,$(shell go env GOPATH)))/bin
 export PATH := $(GOBIN):$(PATH)
-
-TOGO = $(GOBIN)/togo
-$(TOGO):
-	go install github.com/flazz/togo@latest
 
 GOYACC = $(GOBIN)/goyacc
 $(GOYACC):
@@ -144,10 +138,6 @@
 internal/mtail/logo.ico: logo.png
 	/usr/bin/convert $< -define icon:auto-resize=64,48,32,16 $@ || touch $@
 
-internal/mtail/logo.ico.go: | internal/mtail/logo.ico $(TOGO)
-	togo -pkg mtail -name logoFavicon -input internal/mtail/logo.ico
-
-
 ###
 ## Emit the current toolchain version at the start of every goal, if that goal depends on this.
 #

=== debian/changelog ===
mtail (3.2.24-2) unstable; urgency=medium

  * Re-upload to unstable without source changes (previous release was
    uploaded to experimental by mistake).

 -- Martina Ferrari <tina@debian.org>  Sun, 09 Nov 2025 21:37:10 +0000

mtail (3.2.24-1) experimental; urgency=medium

  * New upstream version.
  * debian/watch: Update to v5.

 -- Martina Ferrari <tina@debian.org>  Sun, 09 Nov 2025 20:51:50 +0000

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,16 @@
                golang-glog-dev (>= 1.2.0~),
                golang-go | gccgo,
                golang-go.opencensus-dev,
+               golang-golang-x-sys-dev,
                golang-golang-x-tools,
+               golang-opentelemetry-otel-dev,
                tzdata,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/mtail
 Vcs-Git: https://salsa.debian.org/go-team/packages/mtail.git
-Homepage: https://github.com/google/mtail/
+Homepage: https://github.com/jaqx0r/mtail/
 Rules-Requires-Root: no
-XS-Go-Import-Path: github.com/google/mtail
+XS-Go-Import-Path: github.com/jaqx0r/mtail
 
 Package: mtail
 Architecture: any
@@ -30,7 +32,7 @@
          tzdata,
          ${misc:Depends},
          ${shlibs:Depends},
-Built-Using: ${misc:Built-Using},
+Static-Built-Using: ${misc:Static-Built-Using},
 Description: Extract monitoring data from logs for collection in a timeseries database
  Mtail is a tool for extracting metrics from application logs to be exported
  into a timeseries database or timeseries calculator for alerting and

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,12 @@
 include /usr/share/dpkg/vendor.mk
 
 #export DH_VERBOSE=1
-export DH_GOPKG := github.com/google/mtail
+export DH_GOPKG := github.com/jaqx0r/mtail
 export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/cmd/mgen $(DH_GOPKG)/cmd/mdot
 export DH_GOLANG_INSTALL_EXTRA := examples/ \
     internal/mtail/golden/ internal/mtail/testdata/ \
-    internal/runtime/compiler/parser/parser.y
+    internal/runtime/compiler/parser/parser.y \
+    internal/mtail/logo.ico
 # Build parser.go
 export DH_GOLANG_GO_GENERATE := 1
 
@@ -38,10 +39,10 @@
 endif
 
 override_dh_installinit:
-	dh_installinit --no-enable --no-start
+	dh_installinit --no-enable --no-start --restart-after-upgrade
 
 override_dh_installsystemd:
-	dh_installsystemd --no-enable --no-start
+	dh_installsystemd --no-enable --no-start --restart-after-upgrade
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

=== debian/watch ===
Version: 5

Template: GitHub
Owner: jaqx0r
Project: mtail
Dversion-Mangle: auto
Uversion-Mangle: auto
